Bug 803563 - lohit-telugu-fonts contains glyphs at erraneous code points
lohit-telugu-fonts contains glyphs at erraneous code points
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lohit-telugu-fonts (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 23:37 EDT by Vasudev Kamath
Modified: 2012-06-25 05:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to remove erraneous code points (110.12 KB, patch)
2012-06-25 05:41 EDT, Pravin Satpute
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 663937 None None None Never

  None (edit)
Description Vasudev Kamath 2012-03-14 23:37:20 EDT
Description of problem:

Lohit Telugu has a “square” glyph at the following code points, which for
instance render the minus sign and some halfwidth forms as squares when Lohit
Telugu is chosen as the main font.

  * 0x0065 (U+2212)
  * 0x0067 to 0x009A (U+FFBC to U+FFF2)
  * 0x009D to 0x00A2

Version-Release number of selected component (if applicable):
2.5.1



Additional info:

Forwarding the bug from Debian Bugzilla [1]

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=663937
Comment 1 Pravin Satpute 2012-03-15 02:52:07 EDT
I am seeing these "square boxes" from long time. I am sure those were added during development of lohit fonts long back with fontographer. 

I have removed those now in upstream, you can fine latest .sfd at http://svn.fedorahosted.org/svn/lohit/trunk/telugu/

I will build it in fedora with patch soon.

Still not sure with   * 0x009D to 0x00A2, in Lohit Telugu font we dont have this range. Please check and let me know if still problem persist.
Comment 2 Kess Vargavind 2012-03-16 01:08:50 EDT
I was the one who reported this in Debian.

Checking both the old SFD (Debian source package of fonts-lohit-telu_2.5.1) and the new one (in SVN) I can say all of the above ranges have been fixed, including the third one.

Thanks for developing the Lohit fonts!
Comment 3 Fedora Update System 2012-04-25 13:34:10 EDT
lohit-telugu-fonts-2.5.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lohit-telugu-fonts-2.5.1-2.fc17
Comment 4 Vasudev Kamath 2012-04-26 01:56:37 EDT
So I assume 2.5.1 version of lohit-telugu-fonts resolve this issue. So is this bug is resolved? If so I can package this new version and mark Debian bug
Comment 5 Pravin Satpute 2012-04-30 03:47:00 EDT
No, i have build this in fedora with patch.
Will do upstream release of 2.5.2 with some more enhancement by May end.
Comment 6 Fedora Update System 2012-05-03 11:59:16 EDT
Package lohit-telugu-fonts-2.5.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-telugu-fonts-2.5.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7194/lohit-telugu-fonts-2.5.1-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-26 03:48:44 EDT
lohit-telugu-fonts-2.5.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Vasudev Kamath 2012-06-23 03:41:11 EDT
Please consider releasing the fixed version to Public too. This bug was filed in Debian and we don't have a fixed version for us yet!
Comment 9 Pravin Satpute 2012-06-25 03:16:48 EDT
apologies from my side, i was not aware regarding this.

Can you simply patch in .deb package? 

I have done same in lohit-telugu-fonts-2.5.1-2.fc17 in Fedora. 
Download the SRPM 
http://kojipkgs.fedoraproject.org//packages/lohit-telugu-fonts/2.5.1/2.fc17/src/lohit-telugu-fonts-2.5.1-2.fc17.src.rpm

It has bug-803563.patch file, you can use same patch in Debian as well.

I have to fix bug #834368  and #831238 before next release. If you don't have any other option. I will release 2.5.1.1 version of lohit-telugu. 

Let me know your view on this.
Comment 10 Vasudev Kamath 2012-06-25 03:58:06 EDT
Okay I hope this patch is for sfd file. I will try to extract it from src.rpm. By the way what tool is needed to extract an src.rpm?
Comment 11 Pravin Satpute 2012-06-25 05:41:24 EDT
Created attachment 594143 [details]
patch to remove erraneous code points

Attached patch for .sfd file
Comment 12 Vasudev Kamath 2012-06-25 05:46:29 EDT
Comment on attachment 594143 [details]
patch to remove erraneous code points

Thanks. I will prepare a patched version today.

Note You need to log in before you can comment on or make changes to this bug.